Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Compat: Add DOMRect polyfill #20110

Merged
merged 2 commits into from Feb 10, 2020
Merged

Compat: Add DOMRect polyfill #20110

merged 2 commits into from Feb 10, 2020

Conversation

@aduth
Copy link
Member

aduth commented Feb 7, 2020

Fixes #19979
Alternative to #20103
Related: #19823, https://core.trac.wordpress.org/ticket/49360

This pull request seeks to add a polyfill for DOMRect to resolve errors which can occur when using browsers which do not support this feature (Internet Explorer, Edge). It is modeled after the changes in #19823, and uses the same polyfill-library library. The library version at the version inherited from core (3.26.0) did not include this at the time, and it was only made available later. The changes are pinned to the current version as of the time of writing (3.42.0). An upgrade to this dependency would be required for an equivalent core patch.

Testing Instructions:

Repeat steps to reproduce from #19979, verifying no error.

Copy link
Member

jorgefilipecosta left a comment

LGTM 👍 Fixes the problem in my tests.

Copy link
Member

ellatrix left a comment

Thanks @aduth!

@ellatrix ellatrix merged commit a0860ee into master Feb 10, 2020
3 checks passed
3 checks passed
pull-request-automation
Details
pull-request-automation
Details
Travis CI - Pull Request Build Passed
Details
@ellatrix ellatrix deleted the add/domrect-polyfill branch Feb 10, 2020
@github-actions github-actions bot added this to the Gutenberg 7.5 milestone Feb 10, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

3 participants
You can’t perform that action at this time.